package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.RealtimePpmPO;
import mhp.oee.po.gen.RealtimePpmPOExample;

public interface RealtimePpmPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table realtime_ppm
     *
     * @mbggenerated
     */
    int countByExample(RealtimePpmPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table realtime_ppm
     *
     * @mbggenerated
     */
    int deleteByExample(RealtimePpmPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table realtime_ppm
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table realtime_ppm
     *
     * @mbggenerated
     */
    int insert(RealtimePpmPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table realtime_ppm
     *
     * @mbggenerated
     */
    int insertSelective(RealtimePpmPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table realtime_ppm
     *
     * @mbggenerated
     */
    List<RealtimePpmPO> selectByExample(RealtimePpmPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table realtime_ppm
     *
     * @mbggenerated
     */
    RealtimePpmPO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table realtime_ppm
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") RealtimePpmPO record, @Param("example") RealtimePpmPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table realtime_ppm
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") RealtimePpmPO record, @Param("example") RealtimePpmPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table realtime_ppm
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(RealtimePpmPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table realtime_ppm
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(RealtimePpmPO record);
}